aboutsummaryrefslogtreecommitdiffstats
path: root/main/libgsf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libgsf/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libgsf/APKBUILD')
-rw-r--r--main/libgsf/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/libgsf/APKBUILD b/main/libgsf/APKBUILD
new file mode 100644
index 0000000000..ae307f6704
--- /dev/null
+++ b/main/libgsf/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libgsf
+pkgver=1.14.16
+pkgrel=0
+pkgdesc="The GNOME Structured File Library is a utility library for reading and writing structured file formats."
+url="http://www.gnome.org/"
+license="GPL LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="libxml2-dev glib-dev bzip2-dev intltool python zlib-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/1.14/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="glib-dev libxml2-dev pkgconfig"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/share/man \
+ --disable-static \
+ --without-gnome-vfs \
+ --without-bonobo || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/share/man/man1/gsf-office-thumbnailer.1
+}
+
+md5sums="8478d83fda0b6e57f36550c11a693ee1 libgsf-1.14.16.tar.bz2"